Option interface for @CollectionProperty decorator

### Type parameters

- #### R

- #### T: StringAttribute | NumberAttribute | BinaryAttribute

### Hierarchy

- CollectionPropertyData

## Index

### Properties

- itemMapper
- itemType
- name
- sorted

## Properties

### Optional itemMapper

itemMapper: MapperForType<R, T>

- Defined in decorator/impl/collection/collection-property-data.model.ts:28

provide an itemMapper if you want your complex items being mapped to String|Number|Binary attribute (e.g. because you can't store it in a (S)et otherwise) only provide either itemMapper or itemType --> not both itemMapper is basically intended to be used with [S]et. though it also works with [L]ist

### Optional itemType

itemType: ModelConstructor<any>

- Defined in decorator/impl/collection/collection-property-data.model.ts:35

provide an itemType (class with @Model decorator) for complex types (eg. Set<ComplexType>) collections with complex types will be stored as (L)ist only provide either itemType or itemMapper --> not both

### Optional name

name: undefined | string

- Defined in decorator/impl/collection/collection-property-data.model.ts:15

the name of property how it is named in dynamoDB

### Optional sorted

sorted: undefined | false | true

- Defined in decorator/impl/collection/collection-property-data.model.ts:20

if the collection should preserve the order. if so it will be stored as (L)ist